__gnu_parallel::_EqualTo< _T1, _T2 >(3cxx)

NAME
__gnu_parallel::_EqualTo< _T1, _T2 > - Similar to std::equal_to, but allows two different types.

SYNOPSIS

#include <base.h>

Inherits std::binary_function< _T1, _T2, bool >.

  Public Types

typedef _T1 first_argument_type
first_argument_type is the type of the first argument
typedef bool result_type
result_type is the return type
typedef _T2 second_argument_type
second_argument_type is the type of the second argument

  Public Member Functions

bool operator() (const _T1 &__t1, const _T2 &__t2) const

Detailed Description

  template<typename _T1, typename _T2>
struct __gnu_parallel::_EqualTo< _T1, _T2 >"Similar to std::equal_to, but allows two different types.

Member Typedef Documentation

  typedef _T1 std::binary_function< _T1 , _T2 , bool >::first_argument_type [inherited]

first_argument_type is the type of the first argument

  typedef bool std::binary_function< _T1 , _T2 , bool >::result_type [inherited]

result_type is the return type

  typedef _T2 std::binary_function< _T1 , _T2 , bool >::second_argument_type [inherited]

second_argument_type is the type of the second argument

Author

Generated automatically by Doxygen for libstdc++ from the source code.